Bug 250429 (CVE-2007-2172) - CVE-2007-2172 fib_semantics.c out of bounds access vulnerability
Summary: CVE-2007-2172 fib_semantics.c out of bounds access vulnerability
Status: CLOSED ERRATA
Alias: CVE-2007-2172
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard: impact=important,source=redhat,report...
Keywords: Security
Depends On: 384471 384481 384491 384501 384511 384521 384531
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-01 15:56 UTC by Marcel Holtmann
Modified: 2011-09-28 18:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 18:04:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1049 normal SHIPPED_LIVE Important: kernel security and bug fix update 2007-12-03 15:37:55 UTC
Red Hat Product Errata RHSA-2008:0787 normal SHIPPED_LIVE Important: kernel security update 2009-01-05 07:08:54 UTC
Red Hat Product Errata RHSA-2009:0001 normal SHIPPED_LIVE Important: kernel security update 2009-01-08 15:47:52 UTC

Description Marcel Holtmann 2007-08-01 15:56:57 UTC
The Linux kernel is prone to an out-of-bounds-access vulnerability. This issue
occurs because the semantics for IPv4 Forwarding Information Base fail to
adequately bounds-check user-supplied data before accessing an array.

An attacker can exploit this issue to cause denial-of-service conditions.
Arbitrary code execution may also be possible, but this has not been confirmed.

Comment 1 Don Howard 2007-11-14 09:25:11 UTC
A patch for this issue has been included in build 2.4.21-53.EL.


Note You need to log in before you can comment on or make changes to this bug.